

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/sonypi.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/char/sonypi.c~sync-in-core-time-granuality-with-filesystems-sonypi-fix drivers/char/sonypi.c
--- 25/drivers/char/sonypi.c~sync-in-core-time-granuality-with-filesystems-sonypi-fix	2004-11-29 14:07:28.000000000 -0800
+++ 25-akpm/drivers/char/sonypi.c	2004-11-29 14:15:07.466718144 -0800
@@ -536,8 +536,10 @@ static ssize_t sonypi_misc_read(struct f
 		ret++;
 	}
 
-	if (ret > 0)
+	if (ret > 0) {
+		struct inode *inode = file->f_dentry->d_inode;
 		inode->i_atime = current_fs_time(inode->i_sb);
+	}
 
 	return ret;
 }
_
